Page MenuHomePhabricator

Lift IP rate limit - Editathon (WMCL) - 2017-06-06
Closed, ResolvedPublic

Description

Wikimedia Chile, the local chapter in Chile, will host an outreach event at Santiago on June 6th.

This event is an Editathon in an University who involves new users, editors and teachers in this education center. The newcomers will edit in Spanish and English Wikipedia.

We are expecting about 100 people to attend. One of the things we'd like to do is encourage potential newbie participants to create their own accounts during the session and learn editing, guided by their teacher and veteran volunteers from Wikimedia Chile chapter.

After ask to our partner (Inacap), the Local Network Manager sends me the IP range to be lift the IP limits (well, I don't know if he knows about the IP that use the space, but he sends about 300 IP to be lifted). I understand the massive lift is a huge problem, but they can't change his network topology to make more effective this request.

So, I request lift the IP rate limit around 6 hours (between 15:00 UTC - 21:00 UTC ; 11:00 CLT - 17:00 CLT)

Wikis: es.wikipedia.org, en.wikipedia.org
IP addresses: 200.29.165.192/26, 190.98.227.64/26, 200.111.61.128/26, 200.72.240.0/26, 200.91.9.192/26, 200.91.9.128/26
Timeframe: June 6 2017 15:00 UTC to June 6 2017 21:00
Wikipage of the event: https://es.wikipedia.org/wiki/Wikipedia:Encuentros/I_Editat%C3%B3n_Upla-Inacap_2017:_Turismo_sustentable
Attendees: 100

Thanks in advance

Details

Related Gerrit Patches:
operations/mediawiki-config : masterLift IP throttle for Wikimedia Chile editathon

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2017, 2:18 PM
Superzerocool renamed this task from Lift IP rate limit - Workshop - 2017-06-06 to Lift IP rate limit - Editathon (WMCL) - 2017-06-06.Jun 1 2017, 2:18 PM
Superzerocool updated the task description. (Show Details)

Thanks for creating this ticket. For future reference, see the wiki page for all required information.

Thanks for creating this ticket. For future reference, see the wiki page for all required information.

Isn't my first time to ask an IP lift, but this time is somehow different: our partner doesn't help us to give a 1 or 2 IP address, he sends the huge monster (300+ addresses). I suggested him the usage of WhatsIsMyIP but he says "in our faculty any computer could have any IP address" (wtf?!).

Anyway, thanks for the reminder.

Change 357128 had a related patch set uploaded (by DatGuy; owner: DatGuy):
[operations/mediawiki-config@master] Lift IP throttle for Wikimedia Chile editathon

https://gerrit.wikimedia.org/r/357128

DatGuy claimed this task.Jun 4 2017, 6:15 PM
DatGuy triaged this task as Medium priority.

No commons/wikidata in the list ?

No commons/wikidata in the list ?

No, the organizers asked for es.wikipedia and en.wikipedia (the partner is focused in translation students). If you want, you can include commons/wikidata, but the limit seems to be sufficient (> 300 IP lifted).

Thanks for creating this ticket. For future reference, see the wiki page for all required information.

Isn't my first time to ask an IP lift, but this time is somehow different: our partner doesn't help us to give a 1 or 2 IP address, he sends the huge monster (300+ addresses). I suggested him the usage of WhatsIsMyIP but he says "in our faculty any computer could have any IP address" (wtf?!).
Anyway, thanks for the reminder.

Having a lot of address is possible. I know a venue (university) with 195.113.0.0/16 as their range of IPs as every connected device has own public IPv4 address. If their sysadmin listed all IPs in range you have posted this is 384 addresses. Sorry for offtopic everybody :).

Change 357128 merged by jenkins-bot:
[operations/mediawiki-config@master] Lift IP throttle for Wikimedia Chile editathon

https://gerrit.wikimedia.org/r/357128

Mentioned in SAL (#wikimedia-operations) [2017-06-05T13:16:45Z] <zfilipin@tin> Synchronized wmf-config/throttle.php: SWAT: [[gerrit:357128|Lift IP throttle for Wikimedia Chile editathon (T166788)]] (duration: 00m 39s)

No commons/wikidata in the list ?

No, the organizers asked for es.wikipedia and en.wikipedia (the partner is focused in translation students). If you want, you can include commons/wikidata, but the limit seems to be sufficient (> 300 IP lifted).

You'll not be able to upload pictures / edit interlinks, that can be useful for translations.

DatGuy closed this task as Resolved.Jun 10 2017, 11:21 AM